// swift-tools-version: 5.6
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "XcodeArch",
    platforms: [.macOS(.v12)],
    products: [
        .executable(name: "xcode-arch", targets: ["XcodeArch"]),
    ],
    dependencies: [
        .package(url: "https://github.com/apple/swift-argument-parser", from: "1.1.4"),
    ],
    targets: [
        // Targets are the basic building blocks of a package. A target can define a module or a test suite.
        // Targets can depend on other targets in this package, and on products in packages this package depends on.
        .executableTarget(
            name: "XcodeArch",
            dependencies: [
                .product(name: "ArgumentParser", package: "swift-argument-parser"),
                "XcodeArchCore"
            ]),
        .target(name: "XcodeArchCore",
                dependencies: ["ObjCBridge"]),
        .target(name: "ObjCBridge",
                publicHeadersPath: "include"),
        .testTarget(
            name: "XcodeArchCoreTests",
            dependencies: ["XcodeArchCore"]),
    ]
)
